# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class CreateBody(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, password: str=None, username: str=None):  # noqa: E501
        """CreateBody - a model defined in Swagger

        :param uid: The uid of this CreateBody.  # noqa: E501
        :type uid: float
        :param username: The username of this CreateBody.  # noqa: E501
        :type username: str
        """
        self.swagger_types = {
            'password': str,
            'username': str
        }

        self.attribute_map = {
            'password': 'password',
            'username': 'username'
        }
        self._password = password
        self._username = username

    @classmethod
    def from_dict(cls, dikt) -> 'CreateBody':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The create_body of this CreateBody.  # noqa: E501
        :rtype: CreateBody
        """
        return util.deserialize_model(dikt, cls)

    @property
    def password(self) -> str:
        """Gets the uid of this CreateBody.


        :return: The uid of this CreateBody.
        :rtype: float
        """
        return self._password

    @password.setter
    def password(self, password: str):
        """Sets the uid of this CreateBody.


        :param uid: The uid of this CreateBody.
        :type uid: float
        """

        self._password = password

    @property
    def username(self) -> str:
        """Gets the username of this CreateBody.


        :return: The username of this CreateBody.
        :rtype: str
        """
        return self._username

    @username.setter
    def username(self, username: str):
        """Sets the username of this CreateBody.


        :param username: The username of this CreateBody.
        :type username: str
        """
        if username is None:
            raise ValueError("Invalid value for `username`, must not be `None`")  # noqa: E501

        self._username = username
